shm_has_var
shm_remove_var
Semaphore Funktionen
PHP Manual

# shm_put_var

(PHP 4, PHP 5)

shm_put_var — Aktualisiert eine Variable im Shared Memory

### Beschreibung

bool shm_put_var ( resource `$shm_identifier` , int `$variable_key` , mixed `$variable` )

shm_put_var() aktualisiert die Variable `variable` mit dem angegebenen `variable_key` oder fügt sie ein, sofern sie noch nicht vorhanden ist.

Warnungen (auf E_WARNING-Stufe) werden erzeugt, wenn `shm_identifier` kein gültiger SysV-Shared Memory-Index oder wenn nicht genügend Speicher im angegebenen Segment verfügbar ist.

### Parameter-Liste

`shm_identifier`

  Ein Shared Memory-Ressourcehandle, wie es von shm_attach() zurückgegeben wird.

`variable_key`

  Der Variablenschlüssel.

`variable`

  Die Variable. Alle Variablentypen werden unterstützt.

### Rückgabewerte

Gibt bei Erfolg `TRUE` zurück. Im Fehlerfall wird `FALSE` zurückgegeben.

shm_has_var
shm_remove_var
Semaphore Funktionen
PHP Manual